A new user interface for you! Read more...

File postfix-mta-sts-resolver.changes of Package postfix-mta-sts-resolver

-------------------------------------------------------------------
Tue Jul  2 18:19:16 UTC 2019 - Matthias Fehring <buschmann23@opensuse.org>

- add config_examples to the documentation

-------------------------------------------------------------------
Tue Jul  2 17:59:02 UTC 2019 - Matthias Fehring <buschmann23@opensuse.org>

- update to version 0.5.3
  + Introduces non-blocking logger
- update to version 0.5.2
  + Minor bugfix and refactoring; introduces 100% test coverage
- update to version 0.5.1
  + This release contains important fix of query parsing issue
    which could be causing to incorrect daemon responses. 
- update to version 0.5.0
  + This release splits main package dependencies into optional
    extras in order to reduce efforts of distro packages maintainers.
  + Changed default config location to untangle it from postfix
    config directory. New location is /etc/mta-sts-daemon.yml
- update to version 0.4.5
  + Manifest application requests with User-Agent header
- update to version 0.4.4
  + Switched to aiosqlite 0.10.0 which more precisely fits
    connection pooling demands
- update to version 0.4.3
  + Fixes Python3.5 compatibility
- update to version 0.4.2
  + Fixes wait_closed() issue.
  + Added thread pooling, timeouts and WAL for SQLite cache.
  + Added cache grace feature: do not update and refresh records
    which are too fresh.
- update to version 0.4.1
  + This release introduces sd_notify in daemon and allows finer
    reload control
- update to version 0.4.0
  + Added cache persistence in SQLite3 file database and Redis
- update to version 0.3.0
  + Added seamless restart/reload/upgrade and process load balanding
  + Graceful shutdown
- update to version 0.2.9
  + Improved FreeBSD rc scripts
  + Rewritten server handler to eliminate potential resource leak
  + Assured daemon signal reception with new signal handling
    mechanism
  + Code refactoring
- update to version 0.2.8
  + FreeBSD support

-------------------------------------------------------------------
Fri Mar  8 15:08:41 UTC 2019 - Matthias Fehring <buschmann23@opensuse.org>

- update to version 0.2.7
  + Documentation improvements
  + Flexible handling of pycares responses now handles both bytes
    and str TXT values 
- update to version 0.2.5
  + Security improvement: restrict size of MTA-STS policy server
    response in order to avoid DoS
  + Codestyle fixes

-------------------------------------------------------------------
Tue Jan 15 14:31:12 UTC 2019 - Matthias Fehring <buschmann23@opensuse.org>

- update to version 0.2.4
  + new release with improved support materials and documentation

-------------------------------------------------------------------
Mon Nov 26 17:20:55 UTC 2018 - Matthias Fehring <buschmann23@opensuse.org>

- update to version 0.2.3
  + new release for PyPI in order to fix package metadata
- update to version 0.2.2
  + Added proxy support for HTTPS resolver. Now mta-sts-daemon and
    mta-sts-query respect HTTPS_PROXY and NETRC environment variables.

-------------------------------------------------------------------
Wed Oct 24 11:03:26 UTC 2018 - Matthias Fehring <buschmann23@opensuse.org>

- spec file changes
  + fix package group by setting it to Productivity/Networking/Email/Utilities
  + fix project url

-------------------------------------------------------------------
Wed Oct 24 10:59:00 UTC 2018 - Matthias Fehring <buschmann23@opensuse.org>

- update to version 0.2.0
  + introduce support for MS Windows
- update to version 0.1.5
  + make uvloop optional

-------------------------------------------------------------------
Fri Oct  5 09:06:53 UTC 2018 - Matthias Fehring <buschmann23@opensuse.org>

- spec file changes
  + install example config as default config
  + create user and group mtastsrsv
  + create systemd unit file

-------------------------------------------------------------------
Fri Oct  5 08:59:58 UTC 2018 - Matthias Fehring <buschmann23@opensuse.org>

- initial package
  + version 0.1.4